VLongWritable (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class VLongWritable

    java.lang.Object
      org.apache.hadoop.io.VLongWritable

All Implemented Interfaces:
  Comparable, Writable, WritableComparable

    public class VLongWritable

extends Object
implements WritableComparable

A WritableComparable for longs in a variable-length format. Such values take between one and five bytes. Smaller values take fewer bytes.

See Also:
  `WritableUtils.readVLong(DataInput)`

Constructor Summary
`VLongWritable()`
`VLongWritable(long value)`

Method Summary
`int` | `compareTo(Object o)` Compares two VLongWritables.
`boolean` | `equals(Object o)` Returns true iff `o` is a VLongWritable with the same value.
`long` | `get()` Return the value of this LongWritable.
`int` | `hashCode()`
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `set(long value)` Set the value of this LongWritable.
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VLongWritable

    public VLongWritable()

### VLongWritable

    public VLongWritable(long value)

Method Detail

### set

    public void set(long value)

  Set the value of this LongWritable.

### get

    public long get()

  Return the value of this LongWritable.

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Returns true iff `o` is a VLongWritable with the same value.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Object o)

  Compares two VLongWritables.

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation